# Generated from social_stream-presence-2.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name social_stream-presence

Name: rubygem-%{gem_name}
Version: 2.2.1
Release: 1%{?dist}
Summary: Presence capabilities for Social Stream, the core for building social network websites
License: MIT
URL: https://github.com/ging/social_stream/wiki/Getting-Started-With-Social-Stream-Presence
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(debugger)
BuildArch: noarch

%description
Social Stream Presence provides everything you need for including presence,
instant messaging and video chat services in your social network website,
including a complete chat fully integrated with Social Stream.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_instdir}/ejabberd
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/social_stream-presence.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 2.2.1-1
- Initial package
